# Update mail

Update a mail

Endpoint: PUT /mail
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Request fields (application/json):

  - `nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `uuid` (string, required)

  - `primaryPlatformId` (string, required)

  - `language` (object)
    circular reference

  - `imap` (object)

  - `imap.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `imap.uuid` (string, required)

  - `imap.primaryPlatformId` (string, required)

  - `imap.language` (object)
    circular reference

  - `imap.name` (string)

  - `imap.host` (string)

  - `imap.port` (string)

  - `imap.username` (string)

  - `imap.password` (string)

  - `imap.enabled` (boolean)

  - `contentId` (string)

  - `messageNumber` (integer)

  - `receivedDate` (string)

  - `sentDate` (string)

  - `read` (boolean)

  - `starred` (boolean)

  - `subject` (string)

  - `plainText` (string)

  - `text` (string)

  - `sender` (object)

  - `sender.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `sender.uuid` (string, required)

  - `sender.primaryPlatformId` (string, required)

  - `sender.language` (object)
    circular reference

  - `sender.name` (string)

  - `sender.email` (string)

  - `sender.smtp` (object)

  - `sender.smtp.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `sender.smtp.uuid` (string, required)

  - `sender.smtp.primaryPlatformId` (string, required)

  - `sender.smtp.language` (object)
    circular reference

  - `sender.smtp.name` (string)

  - `sender.smtp.host` (string)

  - `sender.smtp.port` (string)

  - `sender.smtp.username` (string)

  - `sender.smtp.password` (string)

  - `sender.smtp.useOAuth` (boolean)

  - `sender.smtp.tenantId` (string)

  - `sender.smtp.clientId` (string)

  - `sender.smtp.clientSecret` (string)

  - `sender.smtp.oauthScopes` (string)

  - `sender.imap` (object)

  - `recipients` (array)

  - `attachments` (array)

  - `attachments.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `attachments.uuid` (string, required)

  - `attachments.primaryPlatformId` (string, required)

  - `attachments.language` (object)
    circular reference

  - `attachments.url` (string)

  - `attachments.path` (string)

  - `attachments.name` (string)

  - `attachments.originalName` (string)

  - `attachments.size` (integer)

  - `attachments.purpose` (string)

  - `attachments.type` (string)
    Enum: "IMAGE", "VIDEO", "MUSIC", "WORD", "EXCEL", "CSV", "PDF", "EMAIL", "JSON"

  - `attachments.mimeType` (string)

  - `attachments.extension` (string)

  - `attachments.identifiers` (array)

  - `attachments.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `attachments.identifiers.uuid` (string, required)

  - `attachments.identifiers.primaryPlatformId` (string, required)

  - `attachments.identifiers.language` (object)
    circular reference

  - `attachments.identifiers.name` (string)

  - `attachments.identifiers.system` (string)

  - `attachments.identifiers.value` (string)

  - `attachments.identifiers.expiredAt` (string)

  - `attachments.bucket` (object)

  - `attachments.bucket.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `attachments.bucket.uuid` (string, required)

  - `attachments.bucket.primaryPlatformId` (string, required)

  - `attachments.bucket.language` (object)
    circular reference

  - `attachments.bucket.name` (string)

  - `attachments.uploadedAt` (string)

  - `attachments.tempFile` (string)

  - `attachments.contentMatrix` (array)

  - `threadId` (string)

  - `parentMessageId` (string)

  - `linkedTransportOrderIds` (array)

  - `linkedConsignmentIds` (array)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `mail` (object)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


